VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL masodperc
        SIGNAL clk50
        SIGNAL rst
        SIGNAL digit(3:0)
        SIGNAL seg(7:0)
        SIGNAL tobbi_led(7:0)
        SIGNAL d(3:0)
        PORT Input clk50
        PORT Input rst
        PORT Output digit(3:0)
        PORT Output seg(7:0)
        PORT Output tobbi_led(7:0)
        PORT Input d(3:0)
        BEGIN BLOCKDEF dekad_kij
            TIMESTAMP 2008 10 7 13 47 56
            RECTANGLE N 64 -128 320 0 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            RECTANGLE N 320 -108 384 -84 
            LINE N 320 -96 384 -96 
            RECTANGLE N 320 -44 384 -20 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF villog1s
            TIMESTAMP 2008 10 7 13 48 12
            RECTANGLE N 64 -128 320 0 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -96 384 -96 
            RECTANGLE N 320 -44 384 -20 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCK dekad_kij1 dekad_kij
            PIN masodperc masodperc
            PIN d(3:0) d(3:0)
            PIN digit(3:0) digit(3:0)
            PIN seg(7:0) seg(7:0)
        END BLOCK
        BEGIN BLOCK villog1s1 villog1s
            PIN clk50 clk50
            PIN rst rst
            PIN led masodperc
            PIN tobbi_led(7:0) tobbi_led(7:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE villog1s1 1216 768 R0
        END INSTANCE
        BEGIN INSTANCE dekad_kij1 1760 768 R0
        END INSTANCE
        BEGIN BRANCH masodperc
            WIRE 1600 672 1648 672
            WIRE 1648 672 1760 672
            BEGIN DISPLAY 1648 672 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH clk50
            WIRE 1136 672 1216 672
        END BRANCH
        BEGIN BRANCH rst
            WIRE 1120 736 1216 736
        END BRANCH
        BEGIN BRANCH digit(3:0)
            WIRE 2144 672 2240 672
        END BRANCH
        BEGIN BRANCH seg(7:0)
            WIRE 2144 736 2240 736
        END BRANCH
        BEGIN BRANCH tobbi_led(7:0)
            WIRE 1600 736 1648 736
            WIRE 1648 736 1648 960
            WIRE 1648 960 2240 960
        END BRANCH
        BEGIN BRANCH d(3:0)
            WIRE 1136 880 1712 880
            WIRE 1712 736 1760 736
            WIRE 1712 736 1712 880
        END BRANCH
        IOMARKER 1136 672 clk50 R180 28
        IOMARKER 1120 736 rst R180 28
        IOMARKER 1136 880 d(3:0) R180 28
        IOMARKER 2240 672 digit(3:0) R0 28
        IOMARKER 2240 736 seg(7:0) R0 28
        IOMARKER 2240 960 tobbi_led(7:0) R0 28
    END SHEET
END SCHEMATIC
