VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL parancs(1:0)
        SIGNAL nyomogomb
        SIGNAL clk50
        SIGNAL rst
        SIGNAL mintavetel
        SIGNAL ertek(3:0)
        SIGNAL digit(3:0)
        SIGNAL seg(7:0)
        SIGNAL led
        PORT Input nyomogomb
        PORT Input clk50
        PORT Input rst
        PORT Output digit(3:0)
        PORT Output seg(7:0)
        PORT Output led
        BEGIN BLOCKDEF dekad_kij
            TIMESTAMP 2006 11 16 13 52 25
            RECTANGLE N 64 -128 320 0 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 320 -108 384 -84 
            LINE N 320 -96 384 -96 
            RECTANGLE N 320 -44 384 -20 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF fsm
            TIMESTAMP 2006 11 16 13 52 31
            RECTANGLE N 64 -192 320 0 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            LINE N 320 -160 384 -160 
            RECTANGLE N 320 -44 384 -20 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF oszto_20ms
            TIMESTAMP 2006 11 16 13 52 35
            RECTANGLE N 64 -128 320 0 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -96 384 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF prellment
            TIMESTAMP 2006 11 16 14 2 34
            RECTANGLE N 64 -256 336 0 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            RECTANGLE N 336 -236 400 -212 
            LINE N 336 -224 400 -224 
        END BLOCKDEF
        BEGIN BLOCK kijelzo dekad_kij
            PIN d(3:0) ertek(3:0)
            PIN digit(3:0) digit(3:0)
            PIN seg(7:0) seg(7:0)
        END BLOCK
        BEGIN BLOCK cpu fsm
            PIN clk50 clk50
            PIN rst rst
            PIN uzenet(1:0) parancs(1:0)
            PIN led led
            PIN szam(3:0) ertek(3:0)
        END BLOCK
        BEGIN BLOCK timer oszto_20ms
            PIN clk50 clk50
            PIN rst rst
            PIN x20ms_out mintavetel
        END BLOCK
        BEGIN BLOCK gombkezelo prellment
            PIN gomb nyomogomb
            PIN clk50 clk50
            PIN rst rst
            PIN x20msen mintavetel
            PIN gomb_esemeny(1:0) parancs(1:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE cpu 1264 432 R0
        END INSTANCE
        BEGIN INSTANCE gombkezelo 672 624 R0
        END INSTANCE
        BEGIN INSTANCE timer 672 944 R0
        END INSTANCE
        BEGIN INSTANCE kijelzo 1872 496 R0
        END INSTANCE
        BEGIN BRANCH parancs(1:0)
            WIRE 1072 400 1152 400
            WIRE 1152 400 1248 400
            WIRE 1248 400 1264 400
            BEGIN DISPLAY 1152 400 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH nyomogomb
            WIRE 448 400 464 400
            WIRE 464 400 672 400
        END BRANCH
        BEGIN BRANCH clk50
            WIRE 448 464 624 464
            WIRE 624 464 624 848
            WIRE 624 848 672 848
            WIRE 624 464 672 464
            WIRE 624 272 624 464
            WIRE 624 272 1264 272
        END BRANCH
        BEGIN BRANCH rst
            WIRE 448 528 576 528
            WIRE 576 528 672 528
            WIRE 576 528 576 912
            WIRE 576 912 672 912
            WIRE 576 336 576 528
            WIRE 576 336 1264 336
        END BRANCH
        BEGIN BRANCH mintavetel
            WIRE 656 592 656 688
            WIRE 656 688 880 688
            WIRE 880 688 1120 688
            WIRE 1120 688 1120 848
            WIRE 656 592 672 592
            WIRE 1056 848 1072 848
            WIRE 1072 848 1120 848
            BEGIN DISPLAY 880 688 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ertek(3:0)
            WIRE 1648 400 1696 400
            WIRE 1696 400 1872 400
            BEGIN DISPLAY 1696 400 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH digit(3:0)
            WIRE 2256 400 2368 400
        END BRANCH
        BEGIN BRANCH seg(7:0)
            WIRE 2256 464 2368 464
        END BRANCH
        BEGIN BRANCH led
            WIRE 1648 272 2368 272
        END BRANCH
        IOMARKER 2368 272 led R0 28
        IOMARKER 2368 400 digit(3:0) R0 28
        IOMARKER 2368 464 seg(7:0) R0 28
        IOMARKER 448 400 nyomogomb R180 28
        IOMARKER 448 464 clk50 R180 28
        IOMARKER 448 528 rst R180 28
    END SHEET
END SCHEMATIC
